Subject: [Sip] 1xx Provisional Responses

From: "Suha Cubukcuoglu" <[email-masked]>
Date: Thu, 8 Jan 2004 15:06:10 -0000

Hi,

In the RFC for SIP (#3261) it is stated that 1xx provisional responses
are not transmitted reliably and never cause the client to send an ACK
message. SIP clients use UDP to send messages across networks.
Therefore, for example, '180 Ringing' message may or may reach the
calling party without the called party recognizing whether the message
has reached its destination. This has adverse effects in terms of call
setup and usability. If the 180 Ringing message is lost in the network
while the called party is ringing, the calling party will have no idea
what state the call is in at any time (e.g. one could think they dialed
a wrong number, or its taking too long to contact the other end, etc.).
'180 Ringing' message, in our opinion, should be treated as a critical
message just like INVITE and 200 OK or the called party must send
multiple '180 Ringing' messages, instead of just one, to make sure the
other end will receive the message one way or other. 

Could you please tell us your comments about this?

Thanks very much.

Regards,

Suha Cubukcuoglu
nplusone
t: +44 131 514 2000
d: +44 131 514 4037

-- 

This email and any files transmitted with it are confidential and intended
solely for the use of the individual or entity to whom they are addressed.
If you have received this email in error please notify the sender. Any
offers or quotation of service are subject to formal specification.
Errors and omissions excepted.  Please note that any views or opinions
presented in this email are solely those of the author and do not
necessarily represent those of edNET or lightershade ltd. Finally, the
recipient should check this email and any attachments for the presence of
viruses.  edNET and lightershade ltd accepts no liability for any damage
caused by any virus transmitted by this email.

-- 
-- 
Virus scanned by edNET.

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Greg Scallan" <[email-masked]>
Date: Thu, 8 Jan 2004 10:26:21 -0500

See RFC 3262 (http://www.ietf.org/rfc/rfc3262.txt), Reliability of Provisional Responses in the Session Initiation Protocol (SIP).

greg

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of Suha
Cubukcuoglu
Sent: Thursday, January 08, 2004 10:06 AM
To: [email-masked]
Cc: edNET Telco
Subject: [Sip] 1xx Provisional Responses

Hi,

Thanks very much.

Regards,

Suha Cubukcuoglu
nplusone
t: +44 131 514 2000
d: +44 131 514 4037

-- 

-- 
-- 
Virus scanned by edNET.

---

From: Srinivasan Krishnamoorthy <[email-masked]>
Date: Thu, 8 Jan 2004 10:28:43 -0500 (EST)

Not sure if you looked at RFC3262 - specifies an extension
(100rel) to support reliability of Provisional Responses.

-Srini

On Thu, 8 Jan 2004, Suha Cubukcuoglu wrote:

suhac>Hi,
suhac>
suhac>In the RFC for SIP (#3261) it is stated that 1xx provisional responses
suhac>are not transmitted reliably and never cause the client to send an ACK
suhac>message. SIP clients use UDP to send messages across networks.
suhac>Therefore, for example, '180 Ringing' message may or may reach the
suhac>calling party without the called party recognizing whether the message
suhac>has reached its destination. This has adverse effects in terms of call
suhac>setup and usability. If the 180 Ringing message is lost in the network
suhac>while the called party is ringing, the calling party will have no idea
suhac>what state the call is in at any time (e.g. one could think they dialed
suhac>a wrong number, or its taking too long to contact the other end, etc.).
suhac>'180 Ringing' message, in our opinion, should be treated as a critical
suhac>message just like INVITE and 200 OK or the called party must send
suhac>multiple '180 Ringing' messages, instead of just one, to make sure the
suhac>other end will receive the message one way or other. 
suhac>
suhac>Could you please tell us your comments about this?
suhac>
suhac>Thanks very much.
suhac>
suhac>Regards,
suhac>
suhac>Suha Cubukcuoglu
suhac>nplusone
suhac>t: +44 131 514 2000
suhac>d: +44 131 514 4037
suhac>
suhac>